Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees.international.pennchinese
Class ChineseHeadFinder

    java.lang.Object
      edu.stanford.nlp.trees.AbstractCollinsHeadFinder
          edu.stanford.nlp.trees.international.pennchinese.ChineseHeadFinder

All Implemented Interfaces:
  HeadFinder, Serializable

    public class ChineseHeadFinder

extends AbstractCollinsHeadFinder

HeadFinder for the Penn Chinese Treebank. Adapted from CollinsHeadFinder. This is the version used in Levy and Manning (2003).

Author:
  Roger Levy
See Also:
  Serialized Form

Field Summary

Fields inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`defaultRule, nonTerminalInfo, tlp`

Constructor Summary
`ChineseHeadFinder()`
`ChineseHeadFinder(TreebankLanguagePack tlp)`

Method Summary

Methods inherited from class edu.stanford.nlp.trees.AbstractCollinsHeadFinder
`determineHead, determineHead, determineNonTrivialHead, findMarkedHead, postOperationFix, traverseLocate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChineseHeadFinder

    public ChineseHeadFinder()

### ChineseHeadFinder

    public ChineseHeadFinder(TreebankLanguagePack tlp)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group